package com.neusoft.smart.pos.inventory.service;

import com.alibaba.fastjson.JSONObject;
import com.neusoft.smart.pos.dto.inventory.request.PostInventoryStoreBatchRequest;
import com.neusoft.smart.pos.dto.inventory.request.SellAndWarehouseOutRequest;
import com.neusoft.smart.pos.framework.bean.PaginationExtendBean;
import com.neusoft.smart.pos.dto.inventory.bean.LockStorageBean;
import com.neusoft.smart.pos.dto.inventory.request.InventoryGoodsQueryRequest;
import com.neusoft.smart.pos.dto.inventory.request.PostInventoryGoodsInfoRequest;
import com.neusoft.smart.pos.dto.inventory.request.PutInventoryGoodsInfoRequest;
import com.neusoft.smart.pos.dto.inventory.response.InventoryGoodsResponse;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AThirdpartyGoodsService implements GoodsBaseServiceInterface {
    
    @Override
    public Object sign(JSONObject authData) {
        return null;
    }
    
    @Override
    public JSONObject getAuthData() {
        return null;
    }
    
    @Override
    public PaginationExtendBean<InventoryGoodsResponse> getPage(InventoryGoodsQueryRequest inventoryGoodsQueryRequest) {
        return null;
    }
    
    @Override
    public Boolean createGoods(PostInventoryGoodsInfoRequest postInventoryGoodsInfoRequest) {
        return null;
    }
    
    @Override
    public Boolean batchCreateGoods(List<PostInventoryGoodsInfoRequest> postInventoryGoodsInfoRequestList) {
        return null;
    }
    
    @Override
    public Boolean updateGoods(PutInventoryGoodsInfoRequest putInventoryGoodsInfoRequest) {
        return null;
    }
    
    @Override
    public Boolean deleteGoods(Integer goodsId, Boolean deleteBatch) {
        return null;
    }
    
    @Override
    public InventoryGoodsResponse getGoods(Integer goodsId) {
        return null;
    }
    
    @Override
    public boolean batchDeleteGoods(List<Integer> goodsIds) {
        return false;
    }
    
    @Override
    public boolean warehouseIn(PostInventoryStoreBatchRequest postInventoryStoreBatchRequest) {
        return false;
    }
    
    @Override
    public boolean warehouseOut(SellAndWarehouseOutRequest sellAndWarehouseOutRequest) {
        return false;
    }
    
    @Override
    public boolean lockStorage(LockStorageBean lockStorageBean) {
        return false;
    }
    
    @Override
    public Boolean releaseLockStorage(String orderId, Integer orgId, Integer shopId, Integer statusInteger) {
        return null;
    }
}
